import type { StaticImport } from 'mlly';
import type { ResolvedOptions } from '../options';
type getCssModuleImportsProps = {
    imports: StaticImport[];
    aliases: Record<string, string>;
    filename?: string;
};
type ResolvedModuleImport = {
    path: string;
    defaultImport: string;
    imp: StaticImport;
};
export declare function getCssModuleImports({ imports, aliases, filename, }: getCssModuleImportsProps): Promise<ResolvedModuleImport[]>;
export type CssModule = {
    css?: string;
    exports: Record<string, string>;
} & ResolvedModuleImport;
export declare function getCssModule({ path, ...rest }: ResolvedModuleImport, options: ResolvedOptions): Promise<CssModule>;
export {};
